<?php

//* Include Spoonflower brand bar markup in header
add_action( 'genesis_header', 'sp_brandbar_markup', 4 );
function sp_brandbar_markup() {
    ?>
    <div class="brand-bar">
        <div class="wrap">
            <span class="alignleft"><a href="http://www.spoonflower.com">Go to Spoonflower.com</a></span>
            <span class="alignright"><i>Design, Sell, & Shop Fabric, Wallpaper, & Gift Wrap</i></span>
        </div>
    </div>
    <?php   
}

//* Spoonflower footer markup
//* Customize footer
remove_action( 'genesis_footer', 'genesis_do_footer' );
add_action( 'genesis_footer', 'sb_custom_footer' );
function sb_custom_footer() {
    ?>
<div id="ft">
      <div class="footer">
          <div class="entire_ft">
            <div class="create_ft">
              <div class="entire_ft">
              <ul class="nav aboutus_chrome">
                <li class="footer_li" id="create_header">
                  <a class="footer_header_link"><div id="create_header_words">Create</div></a>
                </li>
                <ul id="create_ft" class="secondary terms_chrome">
                  <li class="footer_li"><a href="http://www.spoonflower.com/designs/new?create=fabric"><div>fabric</div></a></li>
                  <li class="footer_li"><a href="http://www.spoonflower.com/designs/new?create=wallpaper"><div>wallpaper</div></a></li>
                  <li class="footer_li"><a href="http://www.spoonflower.com/designs/new?create=gift_wrap"><div>gift wrap</div></a></li>
                  <li class="footer_li"><a href="https://support.spoonflower.com/hc/en-us/sections/200793490-Creating"><div>faqs</div></a></li>
                </ul>
              </ul>
              </div>
            </div>

            <div class="shop_ft">
              <div class="entire_ft">
                <ul class="nav aboutus_chrome">
                  <li class="footer_li" id="shop_header">
                    <a class="footer_header_link"><div id="shop_header_words" class="studio_header">Shop</div></a>
                  </li>
                  <ul id="shop_ft" class="secondary terms_chrome">
                    <li class="footer_li"><a href="http://www.spoonflower.com/shop?shop=fabric"><div>Fabric</div></a></li>
                    <li class="footer_li"><a href="http://www.spoonflower.com/shop?shop=wallpaper"><div>wallpaper</div></a></li>
                    <li class="footer_li"><a href="http://www.spoonflower.com/shop?shop=gift_wrap"><div>gift wrap</div></a></li>
                    <li class="footer_li"><a href="http://www.spoonflower.com/design_tools"><div>design tools</div></a></li>
                    <li class="footer_li"><a href="http://www.spoonflower.com/gift_ideas"><div>gift ideas</div></a></li>
                    <li class="footer_li"><a href="https://support.spoonflower.com/hc/en-us/sections/200793490-Creating"><div>faqs</div></a></li>
                  </ul>
                </ul>
              </div>
            </div>

            <div class="shop_ft">
              <div class="entire_ft">
                <ul class="nav aboutus_chrome">
                  <li class="footer_li" id="connect_header">
                    <a class="footer_header_link"><div id="connect_header_words">Connect</div></a>
                  </li>
                  <ul id="connect_ft" class="secondary terms_chrome">
                    <li class="footer_li"><a href="http://www.spoonflower.com/connect"><div>community</div></a></li>
                      <li class="footer_li"><a href="http://www.spoonflower.com/contests/bucketfeet-oceans-finals"><div>Design Challenge</div></a></li>
                    <li class="footer_li"><a href="http://www.spoonflower.com/contests"><div>Past Challenges</div></a></li>
                    <li class="footer_li"><a href="http://blog.spoonflower.com/"><div>Blog</div></a></li>
                    <li class="footer_li"><a href="http://www.spoonflower.com/events"><div>events</div></a></li>
                    <li class="footer_li"><a href="http://www.spoonflower.com/feedback/new"><div>contact us</div></a></li>
                  </ul>
                </ul>
              </div>
            </div>


        <div class="more_div">
          <ul class="nav aboutus_chrome more_chrome">
            <li class="footer_li desktop_hide" id="more_header">
              <a class="footer_header_link"><div id="more_header_words">More</div></a>
            </li>
            <ul id="more_ft" class="secondary terms_chrome more_chrome">
              <li><a href="http://www.spoonflower.com/about">About us</a></li>
              <li><a href="http://www.spoonflower.com/press">Press</a></li>
              <li><a href="http://blog.spoonflower.com/jobs-at-spoonflower.html" target="_blank">Jobs</a></li>
              <li><a href="http://sproutpatterns.com">Sprout Patterns</a></li>
              <li><a href="http://www.spoonflower.com/design_grant">Emerging Designer Grant</a></li>
              <li><a href="http://www.spoonflower.com/privacy">Privacy</a></li>
              <li><a href="http://www.spoonflower.com/terms">Terms of Service</a></li>
              <li><a href="http://www.spoonflower.com/pro_terms">Pro Terms of Service</a></li>
              <li><a href="http://www.spoonflower.com/seller_agreement">Seller Agreement</a></li>
              <li class="mobile_hide">© 2008-2016 Spoonflower Inc</li>
              <li>        <div class="mobile_social_media desktop_hide">
          <a href="http://www.facebook.com/spoonflower" style="margin-left:0px" target="_blank"><img alt="Facebook_mobile" src="http://www.spoonflower.com/assets/social_media_icons/Facebook_Mobile.png"></a>
          <a href="http://www.flickr.com/photos/spoonflower/" style="margin-left:0px" target="_blank"><img alt="Flickr_mobile" src="http://www.spoonflower.com/assets/social_media_icons/Flickr_Mobile.png"></a>
          <a href="http://pinterest.com/spoonflower/" style="margin-left:0px" target="_blank"><img alt="Pinterest_mobile" src="http://www.spoonflower.com/assets/social_media_icons/Pinterest_Mobile.png"></a>
          <a href="http://twitter.com/spoonflower" style="margin-left:0px" target="_blank"><img alt="Twittermobile" src="http://www.spoonflower.com/assets/social_media_icons/TwitterMobile.png"></a>
          <a href="http://instagram.com/spoonflower" style="margin-left:0px" target="_blank"><img alt="Instagram_mobile" src="http://www.spoonflower.com/assets/social_media_icons/Instagram_Mobile.png"></a>
        </div></li>

            </ul>
          </ul>
        </div>

</div>

    <?php
}



//* Include a search bar in the header
add_action( 'genesis_header', 'sp_add_search_form' );
function sp_add_search_form(){
    get_search_form();
}
